#include <iostream>
#include <vector>
#include <cmath>
#include "histogram.h"
#include "svg.h"
#include <curl/curl.h>

using namespace std;

struct Input
{
    vector<double> numbers;
    int bin_count;
};
Input

input_data(istream& in, bool prompt){
    size_t number_count;
    in >> number_count;

    Input inp;
    inp.numbers.resize(number_count);

    if (prompt){
        std::cerr << "enter bin_count";
    }

    for (size_t i = 0; i < number_count; i++){
        in >> inp.numbers[i];
    }

    in >> inp.bin_count;

    return inp;
}
int
main(int argc, char* argv[])
{
   if (argc > 1){
        cerr << "argv[0] = " << argv[0] << "argc = " << argc;

        CURL *curl = curl_easy_init();
if(curl) {
  CURLcode res;
  curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");
  res = curl_easy_perform(curl);
  curl_easy_cleanup(curl);

    }
     return 0;}

    curl_global_init(CURL_GLOBAL_ALL);
    auto in = input_data(cin, true);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);


    return 0;
}
